Skip to navigation

Replace all Expected Switches

View as Markdown

Replace the complete Expected Switch set for one Site. Entries omitted from the request are deleted, and entries in the request are created with new REST IDs. The expectedSwitches array may be empty to clear the Site’s set.

Every entry must use the top-level siteId. BMC MAC addresses, switch serial numbers, and NVOS MAC addresses must be unique within the replacement set.

Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.

Alternatively, Tenant Admins with TargetedInstanceCreation capability can also replace Expected Switches if they have an account with the Site’s Infrastructure Provider.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site whose Expected Switches should be replaced
expectedSwitcheslist of objectsRequired

Full desired Expected Switch set; BMC MAC addresses, serial numbers, and NVOS MAC addresses must be unique

Response

Expected Switches replaced successfully
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the Expected Switch
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the site the Expected Switch belongs to
bmcMacAddressstringOptionalformat: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"

MAC address of the Expected Switch’s BMC (Baseboard Management Controller)

switchSerialNumberstringOptional
Serial number of the Expected Switch
nvosMacAddresseslist of stringsOptional
MAC addresses of the Expected Switch's NvOS management interfaces
rackIdstring or nullOptional
Optional rack identifier for this component
bmcIpAddressstring or nullOptional

Optional BMC IP address (IPv4 or IPv6). When set, pre-allocates a reserved IP for the BMC.

namestring or nullOptional
Display name for this component
manufacturerstring or nullOptional
Manufacturer of this component
modelstring or nullOptional
Model of this component
descriptionstring or nullOptional
Description of this component
slotIdinteger or nullOptional
Slot ID within the rack
trayIdxinteger or nullOptional
Tray index within the rack
hostIdinteger or nullOptional
Host ID within the tray
labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Switches

createddatetimeOptionalRead-only
ISO 8601 datetime when the Expected Switch was created
updateddatetimeOptionalRead-only
ISO 8601 datetime when the Expected Switch was last updated

Errors

400
Bad Request Error
403
Forbidden Error
409
Conflict Error